#include <CLAFlagOption.h>

#include <SingleValueSetting.h>
#include <CLAParseArgumentFunctions.h>

using namespace CommandLineArgumentLib;

CLAFlagOption::CLAFlagOption()
{
    SingleValueSetting<bool> *s = new SingleValueSetting<bool>();
    s->ParseValue = &ParseArgumentFunctions::ParseBool;
    s->SetValue("0");
    CLArgumentBase::SetSetting(s);
    mustDeleteSetting = true;
}

CLAFlagOption::CLAFlagOption(const CLAFlagOption& orig)
{
}

CLAFlagOption::~CLAFlagOption()
{
    delete this->GetSetting();
}

