/* 
 * File:   CLAFlagOption.h
 * Author: gruen
 *
 * Created on 29. Dezember 2010, 09:40
 */

#ifndef CLAFLAGOPTION_H
#define	CLAFLAGOPTION_H

#include <CLAOptionBase.h>

namespace CommandLineArgumentLib {

class CLAFlagOption : public CLAOptionBase {
public:
    CLAFlagOption();
    CLAFlagOption(const CLAFlagOption& orig);
    virtual ~CLAFlagOption();

    virtual void SetSetting(SettingBase *setting){
        if(mustDeleteSetting)
            delete GetSetting();

        CLArgumentBase::SetSetting(setting);
        mustDeleteSetting = false;
    }

    void Set() {
        GetSetting()->SetValue("1");
    };
private:
    bool mustDeleteSetting;
};
}


#endif	/* CLAFLAGOPTION_H */

