/* 
 * File:   CLARequiredValue.h
 * Author: gruen
 *
 * Created on 29. Dezember 2010, 09:59
 */

#ifndef CLAREQUIREDVALUE_H
#define	CLAREQUIREDVALUE_H

#include <CLAValue.h>

namespace CommandLineArgumentLib
{

class CLARequiredValue : public CLAValue
{
public:
    CLARequiredValue();
    virtual ~CLARequiredValue();

    bool IsValueFound() const
    {
        return valueFound;
    }

    virtual void SetValue(std::string value){
        valueFound = true;
        CLAValue::SetValue(value);
    }
private:
    CLARequiredValue(const CLARequiredValue& orig);

    bool valueFound;
};
}

#endif	/* CLAREQUIREDVALUE_H */

