/* 
 * File:   AddSocketCommand.h
 * Author: jochen
 *
 * Created on 11. Januar 2011, 14:42
 */

#ifndef ADDSOCKETCOMMAND_H
#define	ADDSOCKETCOMMAND_H

#include <InputCommandBase.h>
#include <CommandExecutor.h>
#include <string>

class AddSocketCommand : public InputCommandBase {
public:
    AddSocketCommand();
    virtual ~AddSocketCommand();

    virtual void ReadParameters(istream& inputstream);
    virtual void Execute();

    voidExecutorFunctionStrStr ExecuteFunction;
private:
    AddSocketCommand(const AddSocketCommand& orig);

    std::string receiverSocketIp;
    std::string senderSocketIp;
};

#endif	/* ADDSOCKETCOMMAND_H */

