/* 
 * File:   ControlCommunicationBase.h
 * Author: gruen
 *
 * Created on 3. Februar 2011, 10:06
 */

#ifndef CONTROLCOMMUNICATIONBASE_H
#define	CONTROLCOMMUNICATIONBASE_H

#include <iostream>

class ControlCommunicationBase{
public:
    ControlCommunicationBase();
    virtual ~ControlCommunicationBase();

    virtual void FillInputStream() = 0;

    virtual std::istream& GetInputStream() = 0;
    virtual std::ostream& GetOutputStream(bool error=false) = 0;

    virtual void FlushOutputStream() = 0;

private:
    ControlCommunicationBase(const ControlCommunicationBase& orig);

protected:

};

#endif	/* CONTROLCOMMUNICATIONBASE_H */

