/* 
 * File:   SocketInitialiser.h
 * Author: jochen
 *
 * Created on 11. Januar 2011, 16:28
 */

#ifndef SOCKETINITIALISER_H
#define	SOCKETINITIALISER_H

#include <prrt/prrt_sockets.h>
#include <ReceiveSettings.h>
#include <SendSettings.h>

class SocketInitialiser {
public:
    SocketInitialiser();
    virtual ~SocketInitialiser();

    static void InitReceiverSocket(ReceiveSettings &settings, media_transport_protocol::prrt_socket &prrtsocket, std::string senderIp, std::string receiverIp);
    static void InitSenderSocket(SendSettings &settings, media_transport_protocol::prrt_socket &prrtsocket, std::string senderIp, std::string receiverIp);
    static void InitReceiverSocket(ReceiveSettings &settings, media_transport_protocol::prrt_socket &prrtsocket);
    static void InitSenderSocket(SendSettings &settings, media_transport_protocol::prrt_socket &prrtsocket);
private:
    SocketInitialiser(const SocketInitialiser& orig);

};

#endif	/* SOCKETINITIALISER_H */

