/* 
 * (c) 2010 Saarland University, Telecommunications Lab 
 * (prrt@nt.uni-saarland.de)
 *
 * The contents of this file are subject to the Mozilla Public License
 + Version 1.1 (the "License"); you may not use this file except in
 + compliance with the License. You may obtain a copy of the License at
 + http://www.mozilla.org/MPL/
 + 
 + Software distributed under the License is distributed on an "AS IS"
 + basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 + License for the specific language governing rights and limitations
 + under the License.
 + 
 + The Original Code is "Predictably Reliable Real-time Transport (PRRT)".
 + 
 + The Initial Developer of the Original Code is Saarland University.
 + All Rights Reserved.
 + 
 + Contributor(s): Jochen Gruen (Saarland University), Manuel Gorius
 + (Saarland University), Yongtao Shuai (Saarland University).
 + 
 + Disclaimer: This Alpha version of PRRT is not supported and stable yet.
 + Do not use it in a production environment: it may crash your device, 
 + so please make sure that you have a backup of your data before
 + installing PRRT.
 */

#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include "prrt_sockets.h"
#include "socket_list.h"

#define BUFFERSIZE 50

int main(int argc, char *argv[])
{
	char *data = "Hallo Welt!";
	char buffer[50];

	try {
		std::cerr << "Generating sender." << std::endl;
		prrt_socket sender;
// 		std::cerr << "Generating receiver." << std::endl;
// 		prrt_socket receiver;

		sender.set_param(param_D_target(800));
		sender.set_param(param_PLR(80));
		sender.set_param(param_DATA_PER_BLOCK(10));
		sender.set_param(param_RED_PER_BLOCK(6));
		sender.set_param(param_RED_IN_1STROUND(2));
//
// 		std::string addr = "127.0.0.1";
// 		unsigned short port = 42601;
//
// 		std::cerr << "Connecting sender." << std::endl;
// 		sender.connect(addr, port, addr);
// 		std::cerr << "Binding receiver." << std::endl;
// 		receiver.bind(addr, port, addr);
//
// 		std::cerr << "Sending data." << std::endl;
// 		for(int i=0; i<20; i++)
// 			sender.send(data, strlen(data), 0);
// 		std::cerr << "Receiving data." << std::endl;
// 		while(true) {
// 			receiver.recv(buffer, 50, 0);
// 			std::cerr << "Empfangen : " << buffer << std::endl;
// 		}
	} catch (prrt_error &err) {
		std::cerr << "Error: " << err.what() << std::endl;
	} catch (...) {
		std::cerr << "Unexpected exception!" << std::endl;
	}

	return 0;
}
