/* 
 * File:   CLAOptionBase.h
 * Author: gruen
 *
 * Created on 29. Dezember 2010, 09:34
 */

#ifndef CLAOPTIONBASE_H
#define	CLAOPTIONBASE_H

#include <CLArgumentBase.h>
#include <string>

namespace CommandLineArgumentLib {

class CLAOptionBase : public CLArgumentBase {
public:
    CLAOptionBase();
    CLAOptionBase(const CLAOptionBase& orig);
    virtual ~CLAOptionBase();

    void SetIdentifier(std::string identifier) {
        this->identifier = identifier;
    }

    std::string GetIdentifier() const {
        return identifier;
    }

    void SetHelpMessage(std::string helpMessage){
        this->helpMessage = helpMessage;
    }

    virtual std::string GetHelpMessage() const {
        return helpMessage;
    }
private:
    std::string identifier;
    std::string helpMessage;
};
}

#endif	/* CLAOPTIONBASE_H */

