/* 
 * File:   SettingBase.h
 * Author: gruen
 *
 * Created on 29. Dezember 2010, 09:01
 */

#ifndef SETTINGBASE_H
#define	SETTINGBASE_H

#include <string>

namespace CommandLineArgumentLib {

class SettingBase {
public:
    virtual ~SettingBase();

    virtual void SetValue(std::string value) = 0;
    virtual bool IsValid() const = 0;
private:
};

}

#endif	/* SETTINGBASE_H */

