/* 
 * File:   RerouteCommand.cpp
 * Author: jochen
 * 
 * Created on 11. Januar 2011, 14:20
 */

using namespace std;

#include <RerouteCommand.h>
#include <iostream>
#include <string>

RerouteCommand::RerouteCommand() : senderSocketNo(0), receiverSocketNo(0) {
}

RerouteCommand::RerouteCommand(const RerouteCommand& orig) {
}

RerouteCommand::~RerouteCommand() {
}

void RerouteCommand::ReadParameters(istream& inputstream) {

	if (!(inputstream >> receiverSocketNo).good()) {
		throw "Receiver socket no. not valid / Socket function";
	}
	
	if (!(inputstream >> senderSocketNo).good()) {
		throw "Sender socket no. not valid / Socket function";
	}
}

void RerouteCommand::Execute() {
    CommandExecutor *commandExecutor = GetCommandExecutor();

    (commandExecutor->*ExecuteFunction)(receiverSocketNo, senderSocketNo);
}

