/* 
 * File:   RerouteCommand.h
 * Author: jochen
 *
 * Created on 11. Januar 2011, 14:20
 */

#ifndef REROUTECOMMAND_H
#define	REROUTECOMMAND_H

#include <InputCommandBase.h>
#include <CommandExecutor.h>

class RerouteCommand : public InputCommandBase {
public:
    RerouteCommand();
    virtual ~RerouteCommand();

    virtual void ReadParameters(std::istream& inputstream);
    virtual void Execute();

    voidExecutorFunctionIntInt ExecuteFunction;

private:
    RerouteCommand(const RerouteCommand& orig);

    unsigned short receiverSocketNo;
    unsigned short senderSocketNo;
};

#endif	/* REROUTECOMMAND_H */

