/* 
 * File:   SocketList.h
 * Author: jochen
 *
 * Created on 10. Januar 2011, 14:20
 */

#ifndef SOCKETLIST_H
#define	SOCKETLIST_H

#include <prrt/prrt_sockets.h>
#include <vector>
#include <iostream>
#include <string>

class SocketList {
public:
    SocketList(std::string name);
    virtual ~SocketList();

    void PrintSockets(std::ostream &stream);

    media_transport_protocol::prrt_socket *GetSocket(int index);
    void AddSocket(media_transport_protocol::prrt_socket *socket);

    void Shutdown();
private:
    SocketList(const SocketList& orig);

    std::vector<media_transport_protocol::prrt_socket*> sockets;
    std::string name;
};

#endif	/* SOCKETLIST_H */

