/* 
 * File:   ReroutableRelaySettings.h
 * Author: gruen
 *
 * Created on 3. Februar 2011, 12:17
 */

#ifndef REROUTABLERELAYSETTINGS_H
#define	REROUTABLERELAYSETTINGS_H

#include <string>
#include <typedefs.h>

class ReroutableRelaySettings{
public:
    ReroutableRelaySettings();
    virtual ~ReroutableRelaySettings();

    bool UseSocketControlConnection() const {
        return socketPathSetting.IsValid();
    }

    std::string GetSocketPath() const {
        return socketPathSetting.GetValue();
    }

    CommandLineArgumentLib::SettingBase* GetSocketPathSetting()
    {
        return &socketPathSetting;
    }

private:
    ReroutableRelaySettings(const ReroutableRelaySettings& orig);

    StringSetting socketPathSetting;
};

#endif	/* REROUTABLERELAYSETTINGS_H */

