#!/bin/sh

#Running this script enables public-key authentication.
#Run the script as ./ssh_authen.sh <username> <remote device IP address>
#when prompted for passphrase just press Enter for empty passphrase.
#
#


#create public/private key pair
ssh-keygen -t rsa -f ~/.ssh/$1

#install the private key
echo "Host *" >> ~/.ssh/config
echo "IdentityFile ~/.ssh/$1" >> ~/.ssh/config 

#install the public key on the remote host 
ssh $2 'cat >> ~/.ssh/authorized_keys2' < ~/.ssh/$1.pub

